/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;


import static java.util.Arrays.asList;

public final class Coordinates implements AttributeValue {

    private final Iterable<Integer> coordinates;

    private Coordinates(final Iterable<Integer> coordinates) {
        this.coordinates = coordinates;
    }

    public static Coordinates coordinates(final int coordinate, final Integer... coordinates) {
        return new Coordinates(IterableUtils.<Integer>cons(coordinate, asList(coordinates)));
    }

    public String asString() {
        final StringBuilder stringBuilder = new StringBuilder();
        for (Integer coordinate : coordinates) {
            if (stringBuilder.length() != 0) {
                stringBuilder.append(",");
            }
            stringBuilder.append(coordinate.toString());
        }
        return stringBuilder.toString();
    }
}
