/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;


public enum Frame implements AttributeValue {
    VOID("void"),
    ABOVE("above"),
    BELOW("below"),
    HORIZONTAL_SIDES("hsides"),
    LEFT_HAND_SIDE("lhs"),
    RIGHT_HAND_SIDE("rhs"),
    VERTICAL_SIDES("vsides"),
    BOX("box"),
    BORDER("border");

    private final String xhtmlValue;

    Frame(final String xhtmlValue) {
        this.xhtmlValue = xhtmlValue;
    }

    public String asString() {
        return xhtmlValue;
    }
}
